[@bigcommerce/checkout-sdk](../README.md) / InternalAddress

# Interface: InternalAddress\<T\>

## Type parameters

| Name | Type |
| :------ | :------ |
| `T` | `string` |

## Table of contents

### Properties

- [addressLine1](InternalAddress.md#addressline1)
- [addressLine2](InternalAddress.md#addressline2)
- [city](InternalAddress.md#city)
- [company](InternalAddress.md#company)
- [country](InternalAddress.md#country)
- [countryCode](InternalAddress.md#countrycode)
- [customFields](InternalAddress.md#customfields)
- [firstName](InternalAddress.md#firstname)
- [id](InternalAddress.md#id)
- [lastName](InternalAddress.md#lastname)
- [phone](InternalAddress.md#phone)
- [postCode](InternalAddress.md#postcode)
- [province](InternalAddress.md#province)
- [provinceCode](InternalAddress.md#provincecode)
- [type](InternalAddress.md#type)

## Properties

### addressLine1

• **addressLine1**: `string`

___

### addressLine2

• **addressLine2**: `string`

___

### city

• **city**: `string`

___

### company

• **company**: `string`

___

### country

• **country**: `string`

___

### countryCode

• **countryCode**: `string`

___

### customFields

• **customFields**: \{ `fieldId`: `string` ; `fieldValue`: `string` \| `number` \| `string`[]  }[]

___

### firstName

• **firstName**: `string`

___

### id

• `Optional` **id**: `T`

___

### lastName

• **lastName**: `string`

___

### phone

• **phone**: `string`

___

### postCode

• **postCode**: `string`

___

### province

• **province**: `string`

___

### provinceCode

• **provinceCode**: `string`

___

### type

• `Optional` **type**: `string`
